%define oname   builder

Name:       ruby-%{oname}
Epoch:      1
Version:    3.1.4
Release:    %mkrel 6
Summary:    Builders for MarkUp
Group:      Development/Ruby
License:    MIT
URL:        http://onestepback.org
Source0:    http://rubygems.org/downloads/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildRequires: rubygem(rake)
BuildArch:  noarch

%description
Builder provides a number of builder objects that make creating structured
data simple to do.  Currently the following builder objects are supported:

  * XML Markup
  * XML Events


#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{epoch}:%{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.
#-------------------------------------------------------------------------------

%prep
%setup -q
tar xmf data.tar.gz

%build
%gem_build

%install
%gem_install
# no shebang in lib/ files (TODO: implement that in gem_helper.rb)
find %{buildroot}%{gem_instdir}/lib/ \
    -type f -exec sed -i '/^#!/d' {} \;

%files
%{gem_instdir}/
%exclude %{gem_instdir}/doc
%{gem_spec}

%files          doc
%doc %{gem_docdir}
%doc %{gem_instdir}/doc


%changelog
* Sat Dec 28 2013 pterjan <pterjan> 1:3.1.4-6.mga4
+ Revision: 561779
- Rebuild to fix provides

* Fri Dec 27 2013 pterjan <pterjan> 1:3.1.4-5.mga4
+ Revision: 561068
- Fix gem macros

* Sat Oct 19 2013 umeabot <umeabot> 1:3.1.4-4.mga4
+ Revision: 535299
- Mageia 4 Mass Rebuild

* Fri Sep 20 2013 pterjan <pterjan> 1:3.1.4-3.mga4
+ Revision: 481901
- Rebuild for Ruby 2

* Sun Sep 08 2013 pterjan <pterjan> 1:3.1.4-2.mga4
+ Revision: 476436
- Fix file list

* Thu Jun 27 2013 fwang <fwang> 1:3.1.4-1.mga4
+ Revision: 447442
- new version 3.1.4

* Fri Feb 08 2013 umeabot <umeabot> 1:3.0.4-4.mga3
+ Revision: 395727
- Rebuild for CVE-2013-0256

* Mon Jan 14 2013 umeabot <umeabot> 1:3.0.4-3.mga3
+ Revision: 380661
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Nov 02 2012 fwang <fwang> 1:3.0.4-2.mga3
+ Revision: 312482
- add requires

* Fri Nov 02 2012 fwang <fwang> 1:3.0.4-1.mga3
+ Revision: 312326
- 3.0.4 is more preferred

* Thu Nov 01 2012 fwang <fwang> 3.1.4-1.mga3
+ Revision: 312255
- update file list
- update file list
- new version 3.1.4

* Thu Jun 07 2012 shlomif <shlomif> 3.0.0-1.mga3
+ Revision: 257094
- New version: 3.0.0

* Tue Jan 25 2011 shikamaru <shikamaru> 2.1.2-3.mga1
+ Revision: 39584
- rebuild for new rubygems.rb

* Tue Jan 25 2011 shikamaru <shikamaru> 2.1.2-2.mga1
+ Revision: 39337
- fix missing require
- imported package ruby-builder


* Sun Jan 23 2011 Remy CLOUARD <shikamaru@myoboku.shikamaru.fr> - 2.1.2-2mdv2011.0
- Apply new ruby policy
- Apply general mageia policy

* Sat Oct 09 2010 Rémy Clouard <shikamaru@mandriva.org> 2.1.2-1mdv2011.0
+ Revision: 584325
- import rubygem-builder

